# Get currencies

Get a paginated list of currencies.

```
GET /currencies
```

## Query params

None

## Sorting

| Property | Description           |
| -------- | --------------------- |
| `id`     | Sort currencies by id |

Default sorting is `id ASC`

## Optional properties

None

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/1.1.x/documentation/overview/pagination)[`<Currency>`](https://docs.cspr.cloud/1.1.x/rest-api/cspr-rate/..#currency)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/currencies' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": [
    {
      "id": 1,
      "code": "USD",
      "type_id": 1
    },
    {
      "id": 2,
      "code": "EUR",
      "type_id": 1
    },
    ...
    {
      "id": 10,
      "code": "ETH",
      "type_id": 2
    }
  ]
}
```
